# videos

Videos are hosted on Youtube or Dailymotion. (see `source` and `url` in the returned body).

The dimensions of each image type are as follows:

* “standard” image dimensions fit within 2000x3000 px&#x20;
* “large” image dimensions fit within 1200x2000 px&#x20;
* “medium” image dimensions fit within 850x850 px&#x20;
* “small” image dimensions fit within 650x650 px&#x20;
* “thumb” image dimensions fit within 200x200 px

{% hint style="info" %}
&#x20;This endpoint requires `videos_r` or `su_videos_r` scope.
{% endhint %}

## videos

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/videos`

#### Query Parameters

| Name                                                      | Type    | Description                                      |
| --------------------------------------------------------- | ------- | ------------------------------------------------ |
| organization\_reference<mark style="color:red;">\*</mark> | string  | Reference of the associated organization/company |
| details                                                   | boolean | Return details about the video                   |
| per\_page                                                 | integer | Number of videos per page                        |
| page                                                      | integer | Page offset                                      |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
    "source": "youtube",
    "external_reference": "1gPC5eOJy8I",
    "name": "The one who started Dribbble with 50 T-shirts",
    "description": "Dan Cederholm is the co-founder of Dribbble, an online community allowing people to showcase their graphic design, web design, illustrations and pictures. He looks back on his career, talking about how he started coding, the challenges he faced at Dribbble as a founder and as a front-end developer, how writing has been the key to his success and much more.",
    "subtitle": "",
    "image": {"url":  "https://cdn.welcometothejungle.co/uploads/article/image/6860/154883/dan-cederholm-dribbble.jpg",
              "small": {"url": "https://cdn.welcometothejungle.co/uploads/article/image/6860/154883/small_dan-cederholm-dribbble.jpg"},
              "thumb": {"url": "https://cdn.welcometothejungle.co/uploads/article/image/6860/154883/thumb_dan-cederholm-dribbble.jpg"}},
    "url": "https://www.youtube.com/watch?v=BMi_rlAnwIg",
    "created_at": "2018-01-15T16:51:20.788757+01:00",
    "updated_at": "2018-12-11T08:35:43.456385+01:00",
    "details": {"snippet":{"title":"The one who started Dribbble with 50 T-shirts","thumbnails":{"standard":{"width":640,"url":"https://i.ytimg.com/vi/BMi_rlAnwIg/sddefault.jpg","height":480},"medium":{"width":320,"url":"https://i.ytimg.com/vi/BMi_rlAnwIg/mqdefault.jpg","height":180},"maxres":{"width":1280,"url":"https://i.ytimg.com/vi/BMi_rlAnwIg/maxresdefault.jpg","height":720},"high":{"width":480,"url":"https://i.ytimg.com/vi/BMi_rlAnwIg/hqdefault.jpg","height":360},"default":{"width":120,"url":"https://i.ytimg.com/vi/BMi_rlAnwIg/default.jpg","height":90}},"tags":["Behind The Code","WTTJ","Welcome to the Jungle","Dribblle","Dan Cederholm"],"publishedAt":"2019-01-30T09:21:57.000Z","localized":{"title":"The one who started Dribbble with 50 T-shirts","description":"Dan Cederholm is the co-founder of Dribbble, an online community allowing people to showcase their graphic design, web design, illustrations and pictures. He looks back on his career, talking about how he started coding, the challenges he faced at Dribbble as a founder and as a front-end developer, how writing has been the key to his success and much more.\n\nhttps://www.welcometothejungle.co/collections/behind-the-code"},"liveBroadcastContent":"none","description":"Dan Cederholm is the co-founder of Dribbble, an online community allowing people to showcase their graphic design, web design, illustrations and pictures. He looks back on his career, talking about how he started coding, the challenges he faced at Dribbble as a founder and as a front-end developer, how writing has been the key to his success and much more.\n\nhttps://www.welcometothejungle.co/collections/behind-the-code","channelTitle":"Welcome to the Jungle Studio","channelId":"UCpJfUQ72fmt4qAbkDvz0iNQ","categoryId":"22"},"kind":"youtube#video","id":"BMi_rlAnwIg","etag":"\"XpPGQXPnxQJhLgs6enD_n8JR4Qk/KjD6f_v7k7xQj4hfzWS1QTXiFWQ\"","contentDetails":{"projection":"rectangular","licensedContent":false,"duration":"PT12M23S","dimension":"2d","definition":"sd","caption":"false"}},
    "reference": "BMi_rlAnwIg"
  },
  ...
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/videos" \
    -d "organization_reference=Pg4eV6k" \
    -d "details=true" \
    -H "Authorization: Bearer WK_API_KEY"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/employer-branding-api/list-videos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
